# denyhosts
ssh防止暴力破解,适用Debian 8、9、11 Centos 7  
支持钉钉告警和邮件告警  
支持第三方QQ邮箱告警  
支持一次运行检测、后台运行检测  
Debian系统请安装libcurl库和libiptc库  
Centos 7系统请安装libcurl库和iptables-devel库，yum install iptables-devel libcurl-devel


```
cd /root
git clone https://git.aixiao.me/aixiao/denyhosts  
cd denyhosts  
make clean; make  
chmod a+x /root/denyhosts/denyhosts.sh  

crontab 定时任务,像这样.  
0 22 * * * /root/denyhosts/denyhosts.sh  
```


```
Debian系统使用libiptc库需要nftables切换到iptables
Switching to the legacy version:(切换到 iptables)

update-alternatives --set iptables /usr/sbin/iptables-legacy
update-alternatives --set ip6tables /usr/sbin/ip6tables-legacy
update-alternatives --set arptables /usr/sbin/arptables-legacy
update-alternatives --set ebtables /usr/sbin/ebtables-legacy
```


```
配置文件
global {
    DAEMON = "off";                     // on开启后台运行，off不开启
    TIME = "60";                        // 睡眠时间（单位秒，大于等于1）
    
    REFUSE_NUMBER = 5;                  // 拒绝攻击次数（大于等于1）
    
    IS_MAIL = 0;                        // 开启邮件告警（0关闭，1开启）
    
    IS_DING_WEBHOOK = 1;                // 开启叮叮告警（0关闭，1开启）
    PHONE = "15565979082";              // @的人手机号
    DING_WEBHOOK = "https://oapi.dingtalk.com/robot/send?access_token=7f069c672cb878987aa6772cca336740eece4ce36bde12b51b45e9f440e0565a";        // 钉钉WEBHOOK

    IS_QQMAIL = 0;                      // 开启QQ邮箱告警（0关闭，1开启）
    RECV_MAIL = "1605227279";           // 接收者QQ
}
```
